## NAME

g.mapset - Change current mapset

## SYNOPSIS

g.mapset
g.mapset help
g.mapset mapset=string [location=string] [gisdbase=string]

### Parameters:

mapset=string
  New MAPSET name
location=string
  New LOCATION name (not location path)
gisdbase=string
  New GISDBASE (full path to the directory where the new location is)

## DESCRIPTION

g.mapset allows to change the current mapset

## NOTES

The shell continues to use the history for the old mapset. To change this you can switch the history to the new settings by commands: history -w; history -r /$GISDBASE/$LOCATION/$MAPSET/.bash_history; HISTFILE=/$GISDBASE/$LOCATION/$MAPSET/.bash_history

## SEE ALSO

g.gisenv
g.mapsets

## AUTHOR

Radim Blazek

Last changed: $Date: 2004/07/01 08:47:19 $

Help Index